#include "Player.hpp"

class Segv : public Player {
  public:
    Segv() {
        name = "SEGV";
    }

    void new_game() override { ; }
    void push_result(reaction_t opponents_last_reaction) override { ; }

    reaction_t play() override {
      extern int main();
      void * p = (void *)main;
      return (reaction_t)((int)(((char *)main)[rand() % 32] % 2) & (int)CONFLICT);
    }
};
